### Enumeration

# Qmi NasAttachState

since: 1.0

#### Declaration

    enum Qmi.NasAttachState

#### Description [src]

Domain attach state.

Available since: 1.0

#### Members

`QMI_NAS_ATTACH_STATE_UNKNOWN`

  Unknown attach state.

  - Value: `0`
  - Available since: 1.0
`QMI_NAS_ATTACH_STATE_ATTACHED`

  Attached.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_ATTACH_STATE_DETACHED`

  Detached.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### qmi_nas_attach_state_get_string

Gets the nickname string for the `QmiNasAttachState` specified at `val`.

since: 1.0